export declare class FeatureToggleError extends Error {
    readonly cause?: unknown | undefined;
    constructor(message: string, cause?: unknown | undefined);
}
export declare class ConfigurationError extends FeatureToggleError {
    constructor(message: string, cause?: unknown);
}
export declare class InvalidPathError extends ConfigurationError {
    constructor(path: string, cause?: unknown);
}
export declare class ModuleError extends FeatureToggleError {
    constructor(message: string, cause?: unknown);
}
export declare class SubmoduleError extends FeatureToggleError {
    constructor(message: string, cause?: unknown);
}
